Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDITEMschemes

    java.lang.Object
      java.lang.Enum<CDITEMschemes>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDITEMschemes

All Implemented Interfaces:
  Serializable, Comparable<CDITEMschemes>

    public enum CDITEMschemes

extends Enum<CDITEMschemes>

Java class for CD-ITEMschemes.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-ITEMschemes">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="CD-ITEM"/>
         <enumeration value="CD-ITEM-MAA"/>
         <enumeration value="CD-ITEM-CARENET"/>
         <enumeration value="CD-LAB"/>
         <enumeration value="CD-TECHNICAL"/>
         <enumeration value="CD-CONTACT-PERSON"/>
         <enumeration value="ICD"/>
         <enumeration value="ICPC"/>
         <enumeration value="LOCAL"/>
         <enumeration value="CD-VACCINE"/>
         <enumeration value="CD-ECG"/>
         <enumeration value="CD-ECARE-CLINICAL"/>
         <enumeration value="CD-ECARE-LAB"/>
         <enumeration value="CD-ECARE-HAQ"/>
         <enumeration value="CD-ITEM-EBIRTH"/>
         <enumeration value="CD-PARAMETER"/>
         <enumeration value="CD-ITEM-BVT"/>
         <enumeration value="CD-BVT-AVAILABLEMATERIALS"/>
         <enumeration value="CD-BVT-CONSERVATIONDELAY"/>
         <enumeration value="CD-BVT-CONSERVATIONMODE"/>
         <enumeration value="CD-BVT-SAMPLETYPE"/>
         <enumeration value="CD-BCR-DIFFERENTATIONDEGREE"/>
         <enumeration value="CD-BVT-LATERALITY"/>
         <enumeration value="CD-BVT-PATIENTOPPOSITION"/>
         <enumeration value="CD-BVT-STATUS"/>
         <enumeration value="CD-ITEM-REG"/>
         <enumeration value="CD-ITEM-MYCARENET"/>
         <enumeration value="CD-DEFIB-DIAGNOSIS"/>
         <enumeration value="CD-ACTS-NURSING"/>
         <enumeration value="CD-QERMID-INTERVENTIONTYPE"/>
         <enumeration value="CD-INVOLVED-PARTY"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`CD_ACTS_NURSING`
`CD_BCR_DIFFERENTATIONDEGREE`
`CD_BVT_AVAILABLEMATERIALS`
`CD_BVT_CONSERVATIONDELAY`
`CD_BVT_CONSERVATIONMODE`
`CD_BVT_LATERALITY`
`CD_BVT_PATIENTOPPOSITION`
`CD_BVT_SAMPLETYPE`
`CD_BVT_STATUS`
`CD_CONTACT_PERSON`
`CD_DEFIB_DIAGNOSIS`
`CD_ECARE_CLINICAL`
`CD_ECARE_HAQ`
`CD_ECARE_LAB`
`CD_ECG`
`CD_INVOLVED_PARTY`
`CD_ITEM`
`CD_ITEM_BVT`
`CD_ITEM_CARENET`
`CD_ITEM_EBIRTH`
`CD_ITEM_MAA`
`CD_ITEM_MYCARENET`
`CD_ITEM_REG`
`CD_LAB`
`CD_PARAMETER`
`CD_QERMID_INTERVENTIONTYPE`
`CD_TECHNICAL`
`CD_VACCINE`
`ICD`
`ICPC`
`LOCAL`

Method Summary
`static CDITEMschemes` | `fromValue(String v)`
`String` | `value()`
`static CDITEMschemes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDITEMschemes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CD_ITEM

    public static final CDITEMschemes CD_ITEM

### CD_ITEM_MAA

    public static final CDITEMschemes CD_ITEM_MAA

### CD_ITEM_CARENET

    public static final CDITEMschemes CD_ITEM_CARENET

### CD_LAB

    public static final CDITEMschemes CD_LAB

### CD_TECHNICAL

    public static final CDITEMschemes CD_TECHNICAL

### CD_CONTACT_PERSON

    public static final CDITEMschemes CD_CONTACT_PERSON

### ICD

    public static final CDITEMschemes ICD

### ICPC

    public static final CDITEMschemes ICPC

### LOCAL

    public static final CDITEMschemes LOCAL

### CD_VACCINE

    public static final CDITEMschemes CD_VACCINE

### CD_ECG

    public static final CDITEMschemes CD_ECG

### CD_ECARE_CLINICAL

    public static final CDITEMschemes CD_ECARE_CLINICAL

### CD_ECARE_LAB

    public static final CDITEMschemes CD_ECARE_LAB

### CD_ECARE_HAQ

    public static final CDITEMschemes CD_ECARE_HAQ

### CD_ITEM_EBIRTH

    public static final CDITEMschemes CD_ITEM_EBIRTH

### CD_PARAMETER

    public static final CDITEMschemes CD_PARAMETER

### CD_ITEM_BVT

    public static final CDITEMschemes CD_ITEM_BVT

### CD_BVT_AVAILABLEMATERIALS

    public static final CDITEMschemes CD_BVT_AVAILABLEMATERIALS

### CD_BVT_CONSERVATIONDELAY

    public static final CDITEMschemes CD_BVT_CONSERVATIONDELAY

### CD_BVT_CONSERVATIONMODE

    public static final CDITEMschemes CD_BVT_CONSERVATIONMODE

### CD_BVT_SAMPLETYPE

    public static final CDITEMschemes CD_BVT_SAMPLETYPE

### CD_BCR_DIFFERENTATIONDEGREE

    public static final CDITEMschemes CD_BCR_DIFFERENTATIONDEGREE

### CD_BVT_LATERALITY

    public static final CDITEMschemes CD_BVT_LATERALITY

### CD_BVT_PATIENTOPPOSITION

    public static final CDITEMschemes CD_BVT_PATIENTOPPOSITION

### CD_BVT_STATUS

    public static final CDITEMschemes CD_BVT_STATUS

### CD_ITEM_REG

    public static final CDITEMschemes CD_ITEM_REG

### CD_ITEM_MYCARENET

    public static final CDITEMschemes CD_ITEM_MYCARENET

### CD_DEFIB_DIAGNOSIS

    public static final CDITEMschemes CD_DEFIB_DIAGNOSIS

### CD_ACTS_NURSING

    public static final CDITEMschemes CD_ACTS_NURSING

### CD_QERMID_INTERVENTIONTYPE

    public static final CDITEMschemes CD_QERMID_INTERVENTIONTYPE

### CD_INVOLVED_PARTY

    public static final CDITEMschemes CD_INVOLVED_PARTY

Method Detail

### values

    public static CDITEMschemes[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDITEMschemes c : CDITEMschemes.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDITEMschemes valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDITEMschemes fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.